## org.eclipse.datatools.sqltools.result.internal.ui.utils
Class Images

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.utils.Images

    public class Images

extends java.lang.Object

Utility class to load images

Author:
  Dafan Yang

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_CRITICAL`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_EXPORT_RESULT`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_FAIL`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_HORIZONTAL_RESULTS_VIEW`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVE_DISABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVEALL`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVEALL_DISABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_RESULT_VIEW_FILTER`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_RESULT_VIEW_WARN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_RUNNING`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SINGLE_TAB`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_STARTED`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SUCCESS`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TERMINATE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TERMINATE_DISABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TEXT_MODE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_VERTICAL_RESULTS_VIEW`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_WARNING`
`static java.lang.String` `IMG_CRITICAL`
`static java.lang.String` `IMG_EXPORT_RESULT`
`static java.lang.String` `IMG_FAIL`
`static java.lang.String` `IMG_HORIZONTAL_RESULTS_VIEW`
`static java.lang.String` `IMG_REMOVE`
`static java.lang.String` `IMG_REMOVE_DISABLE`
`static java.lang.String` `IMG_REMOVEALL`
`static java.lang.String` `IMG_REMOVEALL_DISABLE`
`static java.lang.String` `IMG_RESULT_VIEW_FILTER`
`static java.lang.String` `IMG_RESULT_VIEW_WARN`
`static java.lang.String` `IMG_RUNNING`
`static java.lang.String` `IMG_SINGLE_TAB`
`static java.lang.String` `IMG_STARTED`
`static java.lang.String` `IMG_SUCCESS`
`static java.lang.String` `IMG_TERMINATE`
`static java.lang.String` `IMG_TERMINATE_DISABLE`
`static java.lang.String` `IMG_TEXT_MODE`
`static java.lang.String` `IMG_VERTICAL_RESULTS_VIEW`
`static java.lang.String` `IMG_WARNING`

Constructor Summary
`Images()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_REMOVEALL

    public static final java.lang.String IMG_REMOVEALL

See Also:
  Constant Field Values

### DESC_REMOVEALL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVEALL

### IMG_REMOVEALL_DISABLE

    public static final java.lang.String IMG_REMOVEALL_DISABLE

See Also:
  Constant Field Values

### DESC_REMOVEALL_DISABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVEALL_DISABLE

### IMG_REMOVE

    public static final java.lang.String IMG_REMOVE

See Also:
  Constant Field Values

### DESC_REMOVE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVE

### IMG_REMOVE_DISABLE

    public static final java.lang.String IMG_REMOVE_DISABLE

See Also:
  Constant Field Values

### DESC_REMOVE_DISABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVE_DISABLE

### IMG_SUCCESS

    public static final java.lang.String IMG_SUCCESS

See Also:
  Constant Field Values

### DESC_SUCCESS

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SUCCESS

### IMG_WARNING

    public static final java.lang.String IMG_WARNING

See Also:
  Constant Field Values

### DESC_WARNING

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_WARNING

### IMG_FAIL

    public static final java.lang.String IMG_FAIL

See Also:
  Constant Field Values

### DESC_FAIL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_FAIL

### IMG_CRITICAL

    public static final java.lang.String IMG_CRITICAL

See Also:
  Constant Field Values

### DESC_CRITICAL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_CRITICAL

### IMG_TERMINATE

    public static final java.lang.String IMG_TERMINATE

See Also:
  Constant Field Values

### DESC_TERMINATE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TERMINATE

### IMG_TERMINATE_DISABLE

    public static final java.lang.String IMG_TERMINATE_DISABLE

See Also:
  Constant Field Values

### DESC_TERMINATE_DISABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TERMINATE_DISABLE

### IMG_RUNNING

    public static final java.lang.String IMG_RUNNING

See Also:
  Constant Field Values

### DESC_RUNNING

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_RUNNING

### IMG_STARTED

    public static final java.lang.String IMG_STARTED

See Also:
  Constant Field Values

### DESC_STARTED

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_STARTED

### IMG_RESULT_VIEW_WARN

    public static final java.lang.String IMG_RESULT_VIEW_WARN

See Also:
  Constant Field Values

### DESC_RESULT_VIEW_WARN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_RESULT_VIEW_WARN

### IMG_HORIZONTAL_RESULTS_VIEW

    public static final java.lang.String IMG_HORIZONTAL_RESULTS_VIEW

See Also:
  Constant Field Values

### DESC_HORIZONTAL_RESULTS_VIEW

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_HORIZONTAL_RESULTS_VIEW

### IMG_VERTICAL_RESULTS_VIEW

    public static final java.lang.String IMG_VERTICAL_RESULTS_VIEW

See Also:
  Constant Field Values

### DESC_VERTICAL_RESULTS_VIEW

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_VERTICAL_RESULTS_VIEW

### IMG_EXPORT_RESULT

    public static final java.lang.String IMG_EXPORT_RESULT

See Also:
  Constant Field Values

### DESC_EXPORT_RESULT

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_EXPORT_RESULT

### IMG_RESULT_VIEW_FILTER

    public static final java.lang.String IMG_RESULT_VIEW_FILTER

See Also:
  Constant Field Values

### DESC_RESULT_VIEW_FILTER

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_RESULT_VIEW_FILTER

### IMG_SINGLE_TAB

    public static final java.lang.String IMG_SINGLE_TAB

See Also:
  Constant Field Values

### DESC_SINGLE_TAB

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SINGLE_TAB

### IMG_TEXT_MODE

    public static final java.lang.String IMG_TEXT_MODE

See Also:
  Constant Field Values

### DESC_TEXT_MODE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TEXT_MODE

Constructor Detail

### Images

    public Images()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key